Class Fox::SCNotification

In: | FXScintilla.rb
Parent: | Object

SCNotification

Attributes

ch | [R] | Character, one of SCN_CHARADDED or SCN_KEY [Integer]
foldLevelNow | [R] | Fold level now [Integer]
foldLevelPrev | [R] | Previous fold level [Integer]
lParam | [R] | lParam [Integer]
length | [R] | Length [Integer]
line | [R] | Line [Integer]
linesAdded | [R] | Lines added [Integer]
listType | [R] | List type [Integer]
margin | [R] | Margin [Integer]
message | [R] | Message [Integer]
modificationType | [R] | Modification type (SCN_MODIFIED) [Integer]
modifiers | [R] | Modifiers, one of SCN_KEY, … [Integer]
nmhdr | [R] | Header [NotifyHeader]
position | [R] | Position, one of SCN_STYLENEEDED, SCN_MODIFIED, SCN_DWELLSTART, SCN_DWELLEND [Integer]
text | [R] | Text [String]
wParam | [R] | wParam [Integer]
x | [R] | x [Integer]
y | [R] | y [Integer]